---
search:
  tags:
    - drafts
    - GET
seo:
  description: >-
    List drafts. Reference for the GET /workspaces/{organizationId}/drafts
    endpoint in the Pile API.
sidebar:
  label: List drafts
  badge: GET
title: List drafts
type: openapi-operation
---
`GET /workspaces/{organizationId}/drafts`

**Responses**

- `200` — The workspace draft-review queue — pending agent output awaiting a human publish/discard decision

Response example, 200:

```json
{
  "drafts": [
    {
      "id": "string",
      "organizationId": "string",
      "entityType": "string",
      "entityId": "string",
      "issueId": "string",
      "kind": "comment",
      "payload": {
        "property1": null,
        "property2": null
      },
      "status": "pending",
      "createdById": "string",
      "sessionId": "string",
      "reviewedById": "string",
      "reviewedAt": "string",
      "reviewNote": "string",
      "publishedCommentId": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}
```
